Linux — выдает предупреждение ошибки ключей, содержит — key(8)

В какой то момент при обновлении получил ошибку содержащую предупреждение о ключе. Она содержала в конце текст:

... see the DEPRECATION section in apt-key(8) for details

Как проявляется проблема?

При введени в терминале команды для обновления

apt update

после обновления в конце получаем предупреждение которое будет содержать вконце такой текст

... see the DEPRECATION section in apt-key(8) for details ...

Ошибка эта ваглядела в терминале так:

ошибка see the DEPRECATION section in apt-key(8) for details

Наши действия.

У меня ошибка сообщала о проблеме с ключем для Yandex Disk

Вводим команду, кооторая выведет список ключей.

sudo apt-key list

Получим список ключей, в котором нам понадобится последние восемь значений, ключа на который выходит предупреждение при обновлении.

выводим список ключей

далее используя последние 8 символов, укзанных выше, конвертируем запись в файл .gpg

вводим команду в терминале следующего вида:

apt-key export наши_восемь_символов_без_пробела | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/имя_программы.gpg 

В моем случае команда выглядела так:

apt-key export 7C90E5AF | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/yandex-disk.gpg

После снова запускаем обновление:

sudo apt update

Видим, что проблема решена:

ошибка see the DEPRECATION section in apt-key(8) for details
устранена

Для «глазастых» — информация о 20 пакетах, которые можно обновить, не имеет никакого значения, в решении данного вопроса. Просто не обращайте внимание, в моем случае, это требуется обновить пакеты видеодрайверов, по своим соображениям их обновление оставлено на потом.

Если есть кому. что добавить или сказать пишите в комментариях.

Всем Удачи!

6 декабря 2022

Подписаться
Уведомить о
guest
0 Комментарий
Межтекстовые Отзывы
Посмотреть все комментарии

Поделиться ссылкой.
Открыть сайт на
мобильном устройстве

qr-code